com.marklogic.xcc

## Class DocumentFormat

- java.lang.Object
- - com.marklogic.xcc.DocumentFormat

-     public final class DocumentFormat
      extends java.lang.Object

  Typesafe enumeration of allowable formats for document insertion.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFormat` | `BINARY` Document format = binary()
    `static DocumentFormat` | `JSON` Document format = JSON node()
    `static DocumentFormat` | `NONE` Document format = none (use server default)
    `static DocumentFormat` | `TEXT` Document format = text()
    `static DocumentFormat` | `XML` Document format = XML node()

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` The name of this format: "xml", "text" or "binary".

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### XML

          public static final DocumentFormat XML

      Document format = XML node()

    - #### JSON

          public static final DocumentFormat JSON

      Document format = JSON node()

    - #### TEXT

          public static final DocumentFormat TEXT

      Document format = text()

    - #### BINARY

          public static final DocumentFormat BINARY

      Document format = binary()

    - #### NONE

          public static final DocumentFormat NONE

      Document format = none (use server default)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      The name of this format: "xml", "text" or "binary".
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The name of this format as a String, for diagnostic purposes.

Copyright © 2025 MarkLogic Corporation. All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com